import { defineComponent as f, computed as m, openBlock as d, createElementBlock as r, normalizeClass as _, renderSlot as y, createTextVNode as x, ref as p, createElementVNode as B, toDisplayString as L, createCommentVNode as k } from "vue";
const I = ["type", "disabled", "aria-disabled"], $ = /* @__PURE__ */ f({
  __name: "FuiButton",
  props: {
    variant: { default: "primary" },
    size: { default: "medium" },
    disabled: { type: Boolean, default: !1 },
    type: { default: "button" },
    fullWidth: { type: Boolean, default: !1 }
  },
  emits: ["click"],
  setup(a, { emit: l }) {
    const e = a, u = l, i = m(() => [
      "foundation-button",
      `foundation-button--${e.variant}`,
      `foundation-button--${e.size}`,
      {
        "foundation-button--disabled": e.disabled,
        "foundation-button--full-width": e.fullWidth
      }
    ]), t = (o) => {
      e.disabled || u("click", o);
    };
    return (o, s) => (d(), r("button", {
      class: _(i.value),
      type: e.type,
      disabled: e.disabled,
      onClick: t,
      "aria-disabled": e.disabled
    }, [
      y(o.$slots, "default", {}, () => [
        s[0] || (s[0] = x("Button"))
      ], !0)
    ], 10, I));
  }
});
const h = (a, l) => {
  const e = a.__vccOpts || a;
  for (const [u, i] of l)
    e[u] = i;
  return e;
}, F = /* @__PURE__ */ h($, [["__scopeId", "data-v-5fcca828"]]), C = { class: "foundation-input-wrapper" }, V = ["type", "value", "placeholder", "disabled", "required", "minlength", "maxlength", "pattern", "aria-invalid", "aria-describedby"], q = {
  key: 0,
  id: "input-error",
  class: "foundation-input-error"
}, z = /* @__PURE__ */ f({
  __name: "FuiInput",
  props: {
    modelValue: {},
    type: { default: "text" },
    placeholder: {},
    disabled: { type: Boolean, default: !1 },
    required: { type: Boolean, default: !1 },
    minLength: {},
    maxLength: {},
    pattern: {},
    variant: { default: "default" },
    size: { default: "medium" }
  },
  emits: ["update:modelValue", "input", "focus", "blur"],
  setup(a, { emit: l }) {
    const e = a, u = l, i = p(null), t = p(""), o = m(() => [
      "foundation-input",
      `foundation-input--${e.variant}`,
      `foundation-input--${e.size}`,
      {
        "foundation-input--disabled": e.disabled,
        "foundation-input--error": t.value
      }
    ]), s = () => {
      if (!i.value)
        return !0;
      const n = i.value.value;
      return e.required && !n ? (t.value = "This field is required", !1) : e.minLength && n.length < e.minLength ? (t.value = `Minimum length is ${e.minLength} characters`, !1) : e.maxLength && n.length > e.maxLength ? (t.value = `Maximum length is ${e.maxLength} characters`, !1) : e.pattern && !new RegExp(e.pattern).test(n) ? (t.value = "Invalid input format", !1) : (t.value = "", !0);
    }, v = (n) => {
      const c = n.target;
      u("update:modelValue", c.value), u("input", n), s();
    }, b = (n) => {
      u("focus", n);
    }, g = (n) => {
      u("blur", n), s();
    };
    return (n, c) => (d(), r("div", C, [
      B("input", {
        ref_key: "inputRef",
        ref: i,
        class: _(o.value),
        type: e.type,
        value: e.modelValue,
        placeholder: e.placeholder,
        disabled: e.disabled,
        required: e.required,
        minlength: e.minLength,
        maxlength: e.maxLength,
        pattern: e.pattern,
        onInput: v,
        onFocus: b,
        onBlur: g,
        "aria-invalid": !!t.value,
        "aria-describedby": t.value ? "input-error" : void 0
      }, null, 42, V),
      t.value ? (d(), r("span", q, L(t.value), 1)) : k("", !0)
    ]));
  }
});
const w = /* @__PURE__ */ h(z, [["__scopeId", "data-v-fb90c776"]]), M = {
  install(a) {
    a.component("FuiButton", F), a.component("FuiInput", w);
  }
};
export {
  F as Button,
  w as Input,
  M as default
};
